<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>GStreamer Ugly Plugins 1.0 Plugins Reference Manual: GStreamer Ugly Plugins 1.0 Plugins Reference Manual</title>
<meta name="generator" content="DocBook XSL Stylesheets V1.78.1">
<link rel="home" href="index.html" title="GStreamer Ugly Plugins 1.0 Plugins Reference Manual">
<link rel="next" href="ch01.html" title="gst-plugins-ugly Elements">
<meta name="generator" content="GTK-Doc V1.20 (XML mode)">
<link rel="stylesheet" href="style.css" type="text/css">
</head>
<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
<div class="book">
<div class="titlepage">
<div>
<div><table class="navigation" id="top" width="100%" cellpadding="2" cellspacing="0"><tr><th valign="middle"><p class="title">GStreamer Ugly Plugins 1.0 Plugins Reference Manual</p></th></tr></table></div>
<div><p class="releaseinfo">
      for GStreamer Ugly Plugins 1.0 (1.4.0)
      The latest version of this documentation can be found on-line at
      <a class="ulink" href="http://gstreamer.freedesktop.org/data/doc/gstreamer/head/gst-plugins-ugly/html/" target="_top">http://gstreamer.freedesktop.org/data/doc/gstreamer/head/gst-plugins-ugly/html/</a>.
    </p></div>
</div>
<hr>
</div>
<div class="toc"><dl class="toc">
<dt><span class="chapter"><a href="ch01.html">gst-plugins-ugly Elements</a></span></dt>
<dd><dl>
<dt>
<span class="refentrytitle"><a href="gst-plugins-ugly-plugins-a52dec.html">a52dec</a></span><span class="refpurpose"> — Decodes ATSC A/52 encoded audio streams</span>
</dt>
<dt>
<span class="refentrytitle"><a href="gst-plugins-ugly-plugins-amrnbdec.html">amrnbdec</a></span><span class="refpurpose"> — Adaptive Multi-Rate Narrow-Band audio decoder</span>
</dt>
<dt>
<span class="refentrytitle"><a href="gst-plugins-ugly-plugins-amrnbenc.html">amrnbenc</a></span><span class="refpurpose"> — Adaptive Multi-Rate Narrow-Band audio encoder</span>
</dt>
<dt>
<span class="refentrytitle"><a href="gst-plugins-ugly-plugins-amrwbdec.html">amrwbdec</a></span><span class="refpurpose"> — Adaptive Multi-Rate Wideband audio decoder</span>
</dt>
<dt>
<span class="refentrytitle"><a href="gst-plugins-ugly-plugins-cdiocddasrc.html">cdiocddasrc</a></span><span class="refpurpose"> — Read audio from CD using libcdio</span>
</dt>
<dt>
<span class="refentrytitle"><a href="gst-plugins-ugly-plugins-lamemp3enc.html">lamemp3enc</a></span><span class="refpurpose"> — High-quality free MP3 encoder</span>
</dt>
<dt>
<span class="refentrytitle"><a href="gst-plugins-ugly-plugins-mad.html">mad</a></span><span class="refpurpose"> — Uses mad code to decode mp3 streams</span>
</dt>
<dt>
<span class="refentrytitle"><a href="gst-plugins-ugly-plugins-rademux.html">rademux</a></span><span class="refpurpose"> — Demultiplex a RealAudio file</span>
</dt>
<dt>
<span class="refentrytitle"><a href="gst-plugins-ugly-plugins-rmdemux.html">rmdemux</a></span><span class="refpurpose"> — Demultiplex a RealMedia file into audio and video streams</span>
</dt>
<dt>
<span class="refentrytitle"><a href="gst-plugins-ugly-plugins-rdtmanager.html">rdtmanager</a></span><span class="refpurpose"> — Accepts raw RTP and RTCP packets and sends them forward</span>
</dt>
<dt>
<span class="refentrytitle"><a href="gst-plugins-ugly-plugins-rtspreal.html">rtspreal</a></span><span class="refpurpose"> — Extends RTSP so that it can handle RealMedia setup</span>
</dt>
<dt>
<span class="refentrytitle"><a href="gst-plugins-ugly-plugins-rtspwms.html">rtspwms</a></span><span class="refpurpose"> — Extends RTSP so that it can handle WMS setup</span>
</dt>
<dt>
<span class="refentrytitle"><a href="gst-plugins-ugly-plugins-siddec.html">siddec</a></span><span class="refpurpose"> — Use libsidplay to decode SID audio tunes</span>
</dt>
<dt>
<span class="refentrytitle"><a href="gst-plugins-ugly-plugins-twolame.html">twolame</a></span><span class="refpurpose"> — High-quality free MP2 encoder</span>
</dt>
<dt>
<span class="refentrytitle"><a href="gst-plugins-ugly-plugins-x264enc.html">x264enc</a></span><span class="refpurpose"> — H264 Encoder</span>
</dt>
<dt>
<span class="refentrytitle"><a href="gst-plugins-ugly-plugins-xingmux.html">xingmux</a></span><span class="refpurpose"> — Adds a Xing header to the beginning of a VBR MP3 file</span>
</dt>
</dl></dd>
<dt><span class="chapter"><a href="ch02.html">gst-plugins-ugly Plugins</a></span></dt>
<dd><dl>
<dt>
<span class="refentrytitle"><a href="gst-plugins-ugly-plugins-plugin-a52dec.html">a52dec</a></span><span class="refpurpose">Decodes ATSC A/52 encoded audio streams</span>
</dt>
<dt>
<span class="refentrytitle"><a href="gst-plugins-ugly-plugins-plugin-amrnb.html">amrnb</a></span><span class="refpurpose">Adaptive Multi-Rate Narrow-Band</span>
</dt>
<dt>
<span class="refentrytitle"><a href="gst-plugins-ugly-plugins-plugin-amrwbdec.html">amrwbdec</a></span><span class="refpurpose">Adaptive Multi-Rate Wide-Band Decoder</span>
</dt>
<dt>
<span class="refentrytitle"><a href="gst-plugins-ugly-plugins-plugin-asf.html">asf</a></span><span class="refpurpose">Demuxes and muxes audio and video in Microsofts ASF format</span>
</dt>
<dt>
<span class="refentrytitle"><a href="gst-plugins-ugly-plugins-plugin-cdio.html">cdio</a></span><span class="refpurpose">Read audio from audio CDs</span>
</dt>
<dt>
<span class="refentrytitle"><a href="gst-plugins-ugly-plugins-plugin-dvdlpcmdec.html">dvdlpcmdec</a></span><span class="refpurpose">Decode DVD LPCM frames into standard PCM</span>
</dt>
<dt>
<span class="refentrytitle"><a href="gst-plugins-ugly-plugins-plugin-dvdread.html">dvdread</a></span><span class="refpurpose">Access a DVD with dvdread</span>
</dt>
<dt>
<span class="refentrytitle"><a href="gst-plugins-ugly-plugins-plugin-dvdsub.html">dvdsub</a></span><span class="refpurpose">DVD subtitle parser and decoder</span>
</dt>
<dt>
<span class="refentrytitle"><a href="gst-plugins-ugly-plugins-plugin-lame.html">lame</a></span><span class="refpurpose">Encode MP3s with LAME</span>
</dt>
<dt>
<span class="refentrytitle"><a href="gst-plugins-ugly-plugins-plugin-mad.html">mad</a></span><span class="refpurpose">mp3 decoding based on the mad library</span>
</dt>
<dt>
<span class="refentrytitle"><a href="gst-plugins-ugly-plugins-plugin-mpeg2dec.html">mpeg2dec</a></span><span class="refpurpose">LibMpeg2 decoder</span>
</dt>
<dt>
<span class="refentrytitle"><a href="gst-plugins-ugly-plugins-plugin-realmedia.html">realmedia</a></span><span class="refpurpose">RealMedia support plugins</span>
</dt>
<dt>
<span class="refentrytitle"><a href="gst-plugins-ugly-plugins-plugin-siddec.html">siddec</a></span><span class="refpurpose">Uses libsidplay to decode .sid files</span>
</dt>
<dt>
<span class="refentrytitle"><a href="gst-plugins-ugly-plugins-plugin-twolame.html">twolame</a></span><span class="refpurpose">Encode MP2s with TwoLAME</span>
</dt>
<dt>
<span class="refentrytitle"><a href="gst-plugins-ugly-plugins-plugin-x264.html">x264</a></span><span class="refpurpose">libx264-based H264 plugins</span>
</dt>
</dl></dd>
</dl></div>
</div>
<div class="footer">
<hr>
          Generated by GTK-Doc V1.20</div>
</body>
</html>